oracle.kv.table

## Enum TableOperation.Type

- java.lang.Object
- - java.lang.Enum<TableOperation.Type>
  - - oracle.kv.table.TableOperation.Type

- All Implemented Interfaces:
    Serializable, Comparable<TableOperation.Type>
  Enclosing interface:
    TableOperation

      public static enum TableOperation.Type
      extends Enum<TableOperation.Type>

  The type of operation, as determined by the method used to create it.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELETE` An operation created by `TableOperationFactory.createDelete(oracle.kv.table.PrimaryKey, oracle.kv.table.ReturnRow.Choice, boolean)`.
    `DELETE_IF_VERSION` An operation created by `TableOperationFactory.createDeleteIfVersion(oracle.kv.table.PrimaryKey, oracle.kv.Version, oracle.kv.table.ReturnRow.Choice, boolean)`.
    `PUT` An operation created by `TableOperationFactory.createPut(oracle.kv.table.Row, oracle.kv.table.ReturnRow.Choice, boolean)`.
    `PUT_IF_ABSENT` An operation created by `TableOperationFactory.createPutIfAbsent(oracle.kv.table.Row, oracle.kv.table.ReturnRow.Choice, boolean)`.
    `PUT_IF_PRESENT` An operation created by `TableOperationFactory.createPutIfPresent(oracle.kv.table.Row, oracle.kv.table.ReturnRow.Choice, boolean)`.
    `PUT_IF_VERSION` An operation created by `TableOperationFactory.createPutIfVersion(oracle.kv.table.Row, oracle.kv.Version, oracle.kv.table.ReturnRow.Choice, boolean)`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TableOperation.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TableOperation.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PUT

          public static final TableOperation.Type PUT

      An operation created by `TableOperationFactory.createPut(oracle.kv.table.Row, oracle.kv.table.ReturnRow.Choice, boolean)`.

    - #### PUT_IF_ABSENT

          public static final TableOperation.Type PUT_IF_ABSENT

      An operation created by `TableOperationFactory.createPutIfAbsent(oracle.kv.table.Row, oracle.kv.table.ReturnRow.Choice, boolean)`.

    - #### PUT_IF_PRESENT

          public static final TableOperation.Type PUT_IF_PRESENT

      An operation created by `TableOperationFactory.createPutIfPresent(oracle.kv.table.Row, oracle.kv.table.ReturnRow.Choice, boolean)`.

    - #### PUT_IF_VERSION

          public static final TableOperation.Type PUT_IF_VERSION

      An operation created by `TableOperationFactory.createPutIfVersion(oracle.kv.table.Row, oracle.kv.Version, oracle.kv.table.ReturnRow.Choice, boolean)`.

    - #### DELETE

          public static final TableOperation.Type DELETE

      An operation created by `TableOperationFactory.createDelete(oracle.kv.table.PrimaryKey, oracle.kv.table.ReturnRow.Choice, boolean)`.

    - #### DELETE_IF_VERSION

          public static final TableOperation.Type DELETE_IF_VERSION

      An operation created by `TableOperationFactory.createDeleteIfVersion(oracle.kv.table.PrimaryKey, oracle.kv.Version, oracle.kv.table.ReturnRow.Choice, boolean)`.

  - ### Method Detail

    - #### values

          public static TableOperation.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TableOperation.Type c : TableOperation.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TableOperation.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.